Yuriko.Net 個別記事

2008-03-18
晴れ

WordPress 携帯対応プラグイン Ktai Style 1.21 リリース

Ktai Style 画面

絵文字対応の WordPress 携帯対応プラグイン「Ktai Style」のバージョン 1.21 をリリースいたしました。変更点は以下の通りです。

  • 携帯絵文字の入力で、ソフトバンク 3G 端末からの入力にも対応しました。ver 1.20 は対応しておらず、?? のように文字化けしてしまっていました。
  • 外部サイトの画像を img 要素で呼び出している場合にも「画像を表示/リンクに変換」のメニューが出てしまっていたのを、出ないように抑制しました。(外部サイトの画像は必ずリンクになるため、切り替えメニューは意味がないのに、出てしまっていました)
  • イー・モバイル音声端末において、HTTP ヘッダの x-em-uid フィールドから契約者 ID (ユーザー ID) の取得を試みるようにしました。
ダウンロード: ktai_style121.tar.bz2 (172.3 KB)
バージョン 1.3.0 をリリースしました。

今回のバージョンアップは、SoftBank 3G での携帯絵文字入力対応および、「画像を表示する/リンクに変換」の切り替えメニューが不要な場合に出てしまう問題への対応です。WordPress 2.5 対応は正式版がまだリリースされていないので、最新のナイトリービルドでの確認にとどまっています。

今後は、Readme に書いてある機能追加予定を順番に対応すべく作業予定です。

トラックバック・コメント »

  1. Ktai Style 1.20リリース…対応完了
    『WordPress 携帯対応プラグイン Ktai Style 1.20 リリース』と言うことで、本サイトも早速1.20に移行しました
    今回の1.20は色々変更され強化されていますね
    目玉は「携帯電話からの投稿で絵…

    Slashcolon /:からのトラックバック
  2. WordPressの携帯用表示プラグイン – Ktai Style

    以前「WordPressで携帯サイト対応 Mobile Eye+」というエントリーで、WordPressの携帯用の表示をするプラグインについて書いたのですが、そのエントリーへのコメントをyurikoという方から頂き…

    jigelogからのトラックバック
  3. 【WordPress】【遅報】「Ktai Style」1.21、「Lightweight Google Maps」1.21導入
     報告が遅くなってしまいましたが、当ブログに、先日はWordPress向け携帯電話対応プラグイン「Ktai Style」1.21を、また先ほどは、同じくWordPress向けの地図表示プラグイン「Lightweight Google Map…

    Telminaからのトラックバック
  4. こんにちは。

    Ktai Style 1.2.1を早速DLして使用させていただこうと思ったのですが、プラグインを有効にしようとしたところ、以下のFatal Errorが発生してしまいました。。。。

    重大なエラーを引き起こしたのでプラグインの有効化はできませんでした。

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or ‘}’ in /home/xxxxxxxx/public_html/xxxxxxxxx_wp/wp-content/plugins/ktai_style/ktai_style.php on line 59

    環境としては、BlueHostというHostingを使用しており
    WordPress: 2.5 日本語版 ( http://ja.wordpress.org/ からDLして、手動でInstall)
    PHP: 5.2.5
    OS: Linux
    Apache: 2.2.8
    MySQL: 5.0.45-community-log

    の通りです。

    Document類には目を通したつもりで、
    ・サーバーのPHPが5.2以上である
    ・Ktai Style 1.2.1 は WordPressの2.5に対応している(RC2でのテストだそうですが)
    ということで環境的以外に原因が思い当たらなかったため、何か分かればご教示いただけないかと思っています。
    ちなみに、ktai_style.php の59行目は、以下の部分ですね。


    /* ==================================================
    * Ktai_Style class
    ================================================== */

    class Ktai_Style {
    private $plugin_dir;

    お忙しいところ恐縮ですが、よろしくお願いします。

    john.f.kからのコメント
  5. ご利用ありがとうございます。これはまさしく PHP4.x で動かしているときの症状です (予約語 private を理解していないので)。サーバーで phpinfo() を実行させるか、テンプレートの footer.php で <body> の直前に <?php echo phpversion(); > を入れてみるかして、PHP のバージョンを確認してみてください。

    サーバーに複数のバージョンの PHP がインストールされていて、実は PHP4 が選択されているとか、そういう状況だと思われます。

    ゆりこからのコメント
  6. ご指摘通り、PHPのバージョンを表示させてみたところ、PHP4でした。
    管理画面ではPHP5となっているのに、と思い良く見てみると、お恥ずかしながらdemo userのIDで入っておりました。。。
    自分のIDで入りなおしてPHPのバージョンを変更したところプラグインの使用、携帯での表示共に問題なく行えることを確認しました。
    サポートおよび素晴らしいPluginの提供ありがとうございました。

    john.f.kからのコメント

上に戻る

※スパム対策プラグインの影響により、すぐにトラックバックが反映されない場合があります。お手数ですが、半日ほど待ってみてください。

コメント投稿

※発言の責任を明確にするため「名無し」「通りすがり」「匿名希望」等の匿名は不可とします。捨てハンドルでもいいので必ず名乗ってください。
XHTML (使えるタグ): <a href="" title="" ktai=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <img localsrc="" alt=""> .
※スパム対策プラグインの影響により、すぐにコメント内容が表示されない場合があります。お手数ですが、半日ほど待ってみてください。

上に戻る